Subject: Re: msysGit on FAT32

From: Johannes Sixt <[email-masked]>
Date: Tue, 04 Dec 2007 14:48:14 +0100

Johannes Schindelin schrieb:
> On Tue, 4 Dec 2007, Jakub Narebski wrote:
> 
>> Johannes Sixt <[email-masked]> writes:
>>
>>> BTW, we do use hardlinks on Windows; even the MsysGit installer 
>>> creates them (as long as the filesystem is NTFS). So, the fallout you 
>>> are expecting/hoping for will not be in the first round of MinGW port 
>>> patches. ;)
>> Would it be possible to add option to an installer to _not_ install 
>> git-cmd form for builtins when installing on FAT28^W FAT32?
> 
> It is the InnoSetup based installer that does that.  MSys has no way (yet) 
> to create hard links (at least that's the state of my knowledge).

I don't know about MSys, the runtime, but MSys's 'ln' and 'cp -l' both 
create hardlinks on NTFS. And for this reason, 'git clone -l' does, too.

-- Hannes